Package ru.bitel.bgbilling.modules.voiceip.common.service

# Interface VoiceIpService

public interface VoiceIpService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `costMapDelete(int id)`
  `CostMap`
  `costMapGet(int id)`
  `List<CostMap>`
  `costMapList(String orderBy)`
  `String`
  `costMapTree(int id)`
  `void`
  `costMapUpdate(int id, String title)`
  `String`
  `geographicCodeTree()`
  `List<VoiceIpOperatorPrefixCost>`
  `voiceIpOperatorPrefixCostList(String prefix, int serviceId, int callTypeId, int groupId)`

- ## Method Details

  - ### geographicCodeTree

    String geographicCodeTree() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapList

    List<CostMap> costMapList(String orderBy) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceIpOperatorPrefixCostList

    List<VoiceIpOperatorPrefixCost> voiceIpOperatorPrefixCostList(String prefix, int serviceId, int callTypeId, int groupId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapGet

    CostMap costMapGet(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapUpdate

    void costMapUpdate(int id, String title) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapDelete

    void costMapDelete(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapTree

    String costMapTree(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`